# Common definitions for all makefiles
# compile using g++ for type safety
CC := gcc -w
LD := ld -nostdlib
OBJCOPY := objcopy

CFLAGS := -nostdinc -nostdlib -ansi -pedantic -nostdinc++ -ffreestanding -DPROTOTYPES -I../include $(EXTRA_CFLAGS)
CXXFLAGS := $(CFLAGS)
LDFLAGS := 


NASM := nasm
NASMFLAGS := -f elf

# Perl (needs to be version 5 or later).
#PERL = perl

# Utility scripts
#PAD := $(PERL) ../scripts/pad
#NUMSECS := $(PERL) ../scripts/numsecs
RM :=  rm -f

# directories in this project
dirs := . boot doc include kernel tools

OBJCOPY_FLAGS := -R .dynamic -R .note -R .comment

ENTRY = Main

NASM := nasm
