#ifndef _MEMORY_H
#define _MEMORY_H
#define LDTBASE 0x108000
#define GDT_START (0x1400)
#define IDT_START (0x1800)
#define THREAD_TSS_START 0x104000
#define KERNEL_TSS_START 0x103000
#define PRINTK_BUF_START 0x100000
#define SCANF_BUF_START 0x101000
#define BITMAP_START (0x450000)
#define POOL_START (0x200000)
#define POOL_SIZE  (0x200000)
#define DEVICE_TABLE_START 0x4000
#define KEY_QUEUE_START	(0x5000)
#define FILE_TABLE_START	(0x5200)
#define FILE_TABLE_SIZE	(0x400)
#define DMA_START_ADDR 0x90000
#define VIDEO_MEM_START 0xB8000
#endif
