#ifndef _STRING_H
#define _STRING_H
#include <stdtypes.h>
#include <printk.h>
char *strcpy(char *dst, const char *src);
char *strncpy(char *dst, const char *src, int n);
int strcmp(const char *s1, const char *s2);
int stricmp(const char *s1, const char *s2);
int strncmp(const char *s1, const char *s2, int n);
char *strupr(char *s);
char *strlwr(char *s);
int strlen(const char *s);
char *strcat(char *dst, char *src);
char *strscn(char *s, char *pattern);
char *strchr(char *s, int c);
int isnumber(char c, int base);
int tonumber(char c);
int isspace(char c);
long unsigned strtou(char *s, int base, char **scan_end);
long int strtoi(char *s, int base, char **scan_end);
char* strtok(char*,const char* delim);
char* strtok_t(char*,const char* ,char**);
#define atoi(x) strtoi((x),10,0)
#define atoh(x) strtoi((x),16,0)
#define LOWER_CASE(x) ( (x>='A'&&x<='Z')||(x>='a'&&x<='z') ? ((x>='A'||x<='Z')?(x+('a'-'A')):(x)):(x))
#define UPPER_CASE(x) ( (x>='A'&&x<='Z')||(x>='a'&&x<='z') ? ((x>='a'||x<='z')?(x-('a'-'A')):(x)):(x))
#endif
