/*
 * Catenate one or more files to standard output.
 * If no files are specified, default to standard input.
 */

#include <stdio.h>
#define	BUFFSIZE	4096

main(argc, argv)
int	argc;
char	*argv[];
{
	int		 i, n;
	char		buff[BUFFSIZE];
	char	*pname;
	FILE* f=stdin;
	pname = argv[0];
	argv++; argc--;

	i = 0;
	do {
		if (argc > 0 && !(f = fopen(argv[i], "r"))) {
			fprintf(stderr,"%s:can't open %s,continuing ...",pname, argv[i]);
			continue;
		}

		while ( (n = fread(buff,1, BUFFSIZE,f)) > 0)
			if (fwrite(buff, 1,n,stdout) != n)
			{fprintf(stderr,"\n%s:write error",pname);return -1;}
		if (n < 0)
		{fprintf(stderr,"\n%s:read error",pname);return -1;}

	} while (++i < argc);
	return 0;
}
