[BITS 32]

%include "../include/symbol.s"
EXPORT MaskAllIrq
WaitForInterrupt:
	jmp	.done
.done:	ret
MaskAllIrq:
	; Initialize master and slave PIC!
	push ax
	mov	al, 0x11
	out	0x20, al		; ICW1 to master
	call	WaitForInterrupt
	out	0xA0, al		; ICW1 to slave
	call	WaitForInterrupt
	mov	al, 0x20
	out	0x21, al		; ICW2 to master
	call	WaitForInterrupt
	mov	al, 0x28
	out	0xA1, al		; ICW2 to slave
	call	WaitForInterrupt
	mov	al, 0x04
	out	0x21, al		; ICW3 to master
	call	WaitForInterrupt
	mov	al, 0x02
	out	0xA1, al		; ICW3 to slave
	call	WaitForInterrupt
	mov	al, 0x01
	out	0x21, al		; ICW4 to master
	call	WaitForInterrupt
	out	0xA1, al		; ICW4 to slave
	call	WaitForInterrupt
	mov	al, 0xff		; mask all ints in slave
	out	0xA1, al		; OCW1 to slave
	call	WaitForInterrupt
	mov	al, 0xfb		; mask all ints but 2 in master
	out	0x21, al		; OCW1 to master
	call	WaitForInterrupt
	pop ax
	ret

